Get Zipcodes

API Explorer
https://api.ipospays.tech/invoice-service/v1/zipcodes
GET

Returns up to 20 ZIP codes starting with the given 3–5 digits, with city and state.

Query Parameters

zipcode*string

First 3 to 5 digits of the ZIP code to search for.

Match^[0-9]{3,5}$
Length3 <= length <= 5

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key of the merchant account. Required for all API requests.

This API works exclusively with merchant API Key and Secret Key credentials and cannot be used with ISO credentials.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/?zipcode=303" \  -H "token: your-access-token-here"
{
  "data": [
    {
      "zip_code": "30301",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30302",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30303",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30304",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30305",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30306",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30307",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30308",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30309",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30310",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30311",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30312",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30313",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30314",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30315",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30316",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30317",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30318",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30319",
      "city": "Atlanta",
      "state": "GA"
    },
    {
      "zip_code": "30320",
      "city": "Atlanta",
      "state": "GA"
    }
  ],
  "message": "Zipcodes retrieved successfully",
  "response_code": "SUCCESS",
  "status_code": 200,
  "request_id": "TEST-20261008184031-SDKA7N",
  "timestamp": "2026-10-08T13:10:31.143Z"
}

{
  "data": null,
  "message": "Validation failed",
  "response_code": "VALIDATION_ERROR",
  "status_code": 400,
  "request_id": "TEST-20261008184033-E8A3S6",
  "timestamp": "2026-10-08T13:10:33.168Z",
  "errors": [
    {
      "field": "zipcode",
      "messages": [
        "zipcode is required"
      ]
    }
  ]
}

{
  "data": null,
  "message": "Authentication failed",
  "response_code": "UNAUTHORIZED",
  "status_code": 401,
  "request_id": "TEST-20261008131035-48JC20",
  "timestamp": "2026-10-08T13:10:35.646Z"
}

{
  "message": "Too many requests, please try again in a minute"
}
{
  "data": null,
  "message": "Internal server error",
  "response_code": "INTERNAL_SERVER_ERROR",
  "status_code": 500,
  "request_id": "<generated per request>",
  "timestamp": "<ISO 8601 time>"
}